define(
    ['Magento_Customer/js/model/customer',
    'uiRegistry'],
    function (customer, registry) {
        'use strict';
        return {
            validate: function () {
                if(!customer.isLoggedIn())
                {
                	//simulate click on "update" button on billing form
                	registry.get('checkout.steps.shipping-step.shippingAddress.billing-address-form').updateAddress();
                }

                return true;
            }
        }
    }
);